- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/batchBlock#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/batchBlock#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/batchBlock#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/batchBlock#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/batchBlock#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/batchBlock#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/batchBlock#try-it)

Batch blocks AdReviewCenterAds. This method supports partial success. Some operations may succeed while others fail. Callers should check the failedRequests field in the response to determine which operations failed.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/adReviewCenterAds:batchBlock`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of AdReviewCenterAds. Format: networks/{networkCode}/webProperties/{webPropertyCode} Since a network can only have a single web property of each `ExchangeSyndicationProduct`, you can use the `ExchangeSyndicationProduct` as an alias for the web property code: `networks/{networkCode}/webProperties/display` `networks/{networkCode}/webProperties/videoAndAudio` `networks/{networkCode}/webProperties/mobileApp` `networks/{networkCode}/webProperties/games` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The resource names of the `AdReviewCenterAd`s to block. Format: `networks/{networkCode}/webProperties/{webPropertyCode}/adReviewCenterAds/{adReviewCenterAdId}` |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).